---
title: c JSLT
description: Available connectors
documentId: ipaas-jslt
locale: en-US
---

The [**JSLT**](https://camel.apache.org/components/4.10.x/jslt-component.html) component is used to transform data using templates written in JSLT. It processes input information, such as JSON or XML, reorganizing and formatting it according to a model you define.

**URI Syntax**: `jslt:resourceUri`

## Main fields

*Path parameters*

| **Name** | **Description** | **Default** | **Type** |
|----------|------------------|------------|----------|
| `resourceUri` (producer)| (required) Path to the resource. You can prefix with: classpath, file, http, ref or bean.  | — | String |

*Query parameters*

| **Name** | **Description** | **Default** | **Type** |
|----------|------------------|------------|----------|
|`contentCache` (producer)| Defines whether to use resource content cache or not.| true | Boolean |

## Example

<Steps>
<Step>
The flow starts with a POST request.
</Step>
<Step>
The request data is transformed using the JSLT component with the `expression.jslt` template file. The `contentCache=true` parameter enables template content caching.
</Step>
<Step>
Finally, the transformed message is logged at `info` level.
</Step>
</Steps>

```yaml
- from:
  uri: "rest:post:hello"
  steps:
  - to:
    uri: "jslt:classpath:expression.jslt"
    parameters:
      contentCache: true
  - to: 
    uri: "log:info"
```

![](https://creative-ball-51b3fc85c0.media.strapiapp.com/component_jslt_6507d9aae5.png)

### cURL

```
curl --location --request POST 'https://sensedia-integration-camel-poc.f6g7h8i9j0.integrations-tst.sensedia-eng.com/hello' \
--header 'Content-Type: application/json' \
--data-raw '{
    "Account": {
        "Account Name": "Firefly",
        "Order": [
            {
                "OrderID": "order103",
                "Product": [
                    {
                        "Product Name": "Bowler Hat",
                        "ProductID": 858383,
                        "SKU": "0406654608",
                        "Description": {
                            "Colour": "Purple",
                            "Width": 300,
                            "Height": 200,
                            "Depth": 210,
                            "Weight": 0.75
                        },
                        "Price": 34.45,
                        "Quantity": 2
                    }
                ]
            }
        ]
    }
}'
```

### Result

```
sensedia-integration-camel-poc-00001-deployment-ff94fff5b-vt97h integration 2024-03-06 17:27:22,466 INFO  [info] (executor-thread-1) Exchange[ExchangePattern: InOut, BodyType: String, Body: {"Product_price":34.45}]
```
